<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [gatsby-plugin-next-seo](./gatsby-plugin-next-seo.md) &gt; [BaseSeoProps](./gatsby-plugin-next-seo.baseseoprops.md) &gt; [noindex](./gatsby-plugin-next-seo.baseseoprops.noindex.md)

## BaseSeoProps.noindex property

Sets whether page should be indexed or not.

<b>Signature:</b>

```typescript
noindex?: boolean;
```

## Remarks

Setting this to `true` will set `noindex,follow` (to set `nofollow`<!-- -->, please refer to \[`nofollow`<!-- -->\](\#noFollow)). This works on a page by page basis. This property works in tandem with the `nofollow` property and together they populate the `robots` and `googlebot` meta tags. \*\*Note:\*\* The `noindex` and the \[`nofollow`<!-- -->\](\#noFollow) properties are a little different than all the others in the sense that setting them as a default does not work as expected. This is due to the fact Gatsby SEO already has a default of `index,follow` because `gatsby-plugin-next-seo` is a SEO plugin after all. So if you want to globally these properties, please see \[dangerouslySetAllPagesToNoIndex\](\#dangerouslySetAllPagesToNoIndex) and \[dangerouslySetAllPagesToNoFollow\](\#dangerouslySetAllPagesToNoFollow).

\*\*Example No Index on a single page:\*\*

If you have a single page that you want no indexed you can achieve this by:

```tsx
import React from 'react';
import { GatsbySeo } from 'gatsby-plugin-next-seo';

export default () => (
  <>
    <GatsbySeo noindex={true} />
    <p>This page is no indexed</p>
  </>
);

```

