<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [gatsby-plugin-next-seo](./gatsby-plugin-next-seo.md) &gt; [LocalBusinessJsonLdProps](./gatsby-plugin-next-seo.localbusinessjsonldprops.md) &gt; [openingHours](./gatsby-plugin-next-seo.localbusinessjsonldprops.openinghours.md)

## LocalBusinessJsonLdProps.openingHours property

The opening hours of a certain place.

<b>Signature:</b>

```typescript
openingHours?: OpeningHoursSpecification | OpeningHoursSpecification[];
```

## Remarks

Use both the validFrom and validThrough properties to define seasonal hours. This example shows a business closed for winter holidays.

\#\#\#\# Standard hours

Excluding the validFrom and validThrough properties signify that the hours are valid year-round.This example defines a business that is open weekdays from 9am to 9pm, with weekend hours from 10am until 11pm.

```js
const props = {
  ...other,
  openingHoursSpecification: [
    {
      dayOfWeek: [
       "Monday",
       "Tuesday",
       "Wednesday",
       "Thursday",
       "Friday"
      ],
      opens: "09:00",
      closes: "21:00"
    },
    {
      dayOfWeek: ["Saturday", "Sunday"],
      opens: "10:00",
      closes: "23:00"
    }
  ]
}

```
\#\#\#\# Late night hours

For hours past midnight, define opening and closing hours using a single OpeningHoursSpecification property. This example defines hours from Saturday at 6pm until Sunday at 3am.

```js
const props = {
  ...other,
  openingHoursSpecification: {
    opens: "18:00",
    closes: "03:00",
    dayOfWeek: "Saturday",
  }
}

```
\#\#\#\# All-day hours

To show a business as open 24 hours a day, set the open property to "00:00" and the closes property to "23:59".To show a business is closed all day, set both opens and closes properties to "00:00". This example shows a business open all day Saturday and closed all day Sunday.

```js
const props = {
  ...other,
  openingHoursSpecification: [
    {
      dayOfWeek: "Saturday",
      opens: "00:00",
      closes: "23:59"
    },
    {
      dayOfWeek: "Sunday",
      opens: "00:00",
      closes: "00:00"
    }
  ]
}

```
\#\#\#\# Seasonal hours

```js
const props = {
  ...other,
  openingHoursSpecification: {
    opens: "00:00",
    closes: "00:00",
    validFrom: "2015-12-23",
    validThrough: "2016-01-05"
  }
}

```

