<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [gatsby-plugin-next-seo](./gatsby-plugin-next-seo.md)

## gatsby-plugin-next-seo package

## Interfaces

|  Interface | Description |
|  --- | --- |
|  [AllSeoProps](./gatsby-plugin-next-seo.allseoprops.md) |  |
|  [ArticleJsonLdProps](./gatsby-plugin-next-seo.articlejsonldprops.md) | The component props for a JSON LD Article. |
|  [BaseSeoProps](./gatsby-plugin-next-seo.baseseoprops.md) |  |
|  [BlogJsonLdProps](./gatsby-plugin-next-seo.blogjsonldprops.md) | The Blog JSON LD props. |
|  [BlogPostJsonLdProps](./gatsby-plugin-next-seo.blogpostjsonldprops.md) |  |
|  [BookJsonLdProps](./gatsby-plugin-next-seo.bookjsonldprops.md) | The Book JSON LD Component props. |
|  [BreadcrumbJsonLdProps](./gatsby-plugin-next-seo.breadcrumbjsonldprops.md) |  |
|  [ContactPoint](./gatsby-plugin-next-seo.contactpoint.md) |  |
|  [CorporateContactJsonLdProps](./gatsby-plugin-next-seo.corporatecontactjsonldprops.md) |  |
|  [CourseJsonLdProps](./gatsby-plugin-next-seo.coursejsonldprops.md) | The Course JSON LD Component props. |
|  [DefaultSeoProps](./gatsby-plugin-next-seo.defaultseoprops.md) |  |
|  [DeferSeoProps](./gatsby-plugin-next-seo.deferseoprops.md) |  |
|  [FAQJsonLdProps](./gatsby-plugin-next-seo.faqjsonldprops.md) | The FAQPage JSON LD Component props. |
|  [GatsbySeoPluginOptions](./gatsby-plugin-next-seo.gatsbyseopluginoptions.md) |  |
|  [GatsbySeoProps](./gatsby-plugin-next-seo.gatsbyseoprops.md) |  |
|  [ItemListElements](./gatsby-plugin-next-seo.itemlistelements.md) |  |
|  [JsonLdProps](./gatsby-plugin-next-seo.jsonldprops.md) |  |
|  [LocalBusinessJsonLdProps](./gatsby-plugin-next-seo.localbusinessjsonldprops.md) |  |
|  [LogoJsonLdProps](./gatsby-plugin-next-seo.logojsonldprops.md) | The Logo JSON LD component properties. |
|  [NewsArticleJsonLdProps](./gatsby-plugin-next-seo.newsarticlejsonldprops.md) |  |
|  [OpenGraph](./gatsby-plugin-next-seo.opengraph.md) |  |
|  [OpenGraphArticle](./gatsby-plugin-next-seo.opengrapharticle.md) |  |
|  [OpenGraphBook](./gatsby-plugin-next-seo.opengraphbook.md) |  |
|  [OpenGraphImages](./gatsby-plugin-next-seo.opengraphimages.md) |  |
|  [OpenGraphProfile](./gatsby-plugin-next-seo.opengraphprofile.md) |  |
|  [OpenGraphVideo](./gatsby-plugin-next-seo.opengraphvideo.md) |  |
|  [OpenGraphVideoActors](./gatsby-plugin-next-seo.opengraphvideoactors.md) |  |
|  [OpenGraphVideos](./gatsby-plugin-next-seo.opengraphvideos.md) |  |
|  [ProductJsonLdProps](./gatsby-plugin-next-seo.productjsonldprops.md) | Component props for the Product JSON LD. |
|  [Question](./gatsby-plugin-next-seo.question.md) | The questions and answers for an FAQ Page. |
|  [SpeakableJsonLdProps](./gatsby-plugin-next-seo.speakablejsonldprops.md) | The Speakable JSON LD Component props. |
|  [Twitter](./gatsby-plugin-next-seo.twitter.md) |  |

## Variables

|  Variable | Description |
|  --- | --- |
|  [ArticleJsonLd](./gatsby-plugin-next-seo.articlejsonld.md) | An article, such as a news article or piece of investigative report. Newspapers and magazines have articles of many different types and this is intended to cover them all.<!-- -->See also [blog post](http://blog.schema.org/2014/09/schemaorg-support-for-bibliographic_2.html)<!-- -->. |
|  [BaseSeo](./gatsby-plugin-next-seo.baseseo.md) | This is the BaseSeo component which also takes in the default seo props. |
|  [BlogJsonLd](./gatsby-plugin-next-seo.blogjsonld.md) |  |
|  [BlogPostJsonLd](./gatsby-plugin-next-seo.blogpostjsonld.md) | A utility component which wraps the <code>&lt;ArticleJsonLd /&gt;</code> component but is classified as a <code>BlogPosting</code>. |
|  [BookJsonLd](./gatsby-plugin-next-seo.bookjsonld.md) | The <code>Book</code> component makes search engines an entry point for discovering your books and authors. Users can then buy the books that they find directly from Search results. |
|  [BreadcrumbJsonLd](./gatsby-plugin-next-seo.breadcrumbjsonld.md) | A breadcrumb trail on a page indicates the page's position in the site hierarchy. A user can navigate all the way up in the site hierarchy, one level at a time, by starting from the last breadcrumb in the breadcrumb trail. |
|  [CorporateContactJsonLd](./gatsby-plugin-next-seo.corporatecontactjsonld.md) |  |
|  [CourseJsonLd](./gatsby-plugin-next-seo.coursejsonld.md) |  |
|  [FAQJsonLd](./gatsby-plugin-next-seo.faqjsonld.md) | A Frequently Asked Question (FAQ) page contains a list of questions and answers pertaining to a particular topic. |
|  [GatsbySeo](./gatsby-plugin-next-seo.gatsbyseo.md) | This component render the tags in the <code>&lt;head&gt;</code> for SEO on a per page basis. As a bare minimum, you should add a title and description. |
|  [JsonLd](./gatsby-plugin-next-seo.jsonld.md) | Component that inline-includes a JSON-LD script where specified. |
|  [LocalBusinessJsonLd](./gatsby-plugin-next-seo.localbusinessjsonld.md) | When users search for businesses on Google Search or Maps, Search results may display a prominent Knowledge Graph card with details about a business that matched the query. |
|  [LogoJsonLd](./gatsby-plugin-next-seo.logojsonld.md) | Specify the image Google Search uses for your organization's logo in Search results and in the Knowledge Graph. |
|  [NewsArticleJsonLd](./gatsby-plugin-next-seo.newsarticlejsonld.md) | A utility component which wraps the <code>&lt;ArticleJsonLd /&gt;</code> component but is classified as a <code>NewsArticle</code>. |
|  [ProductJsonLd](./gatsby-plugin-next-seo.productjsonld.md) | Add markup to your product pages so Google can provide detailed product information in rich Search results — including Google Images. |
|  [SpeakableJsonLd](./gatsby-plugin-next-seo.speakablejsonld.md) | <b><i>(BETA)</i></b> The speakable schema.org property identifies sections within an article or webpage that are best suited for audio playback using text-to-speech (TTS). |

## Type Aliases

|  Type Alias | Description |
|  --- | --- |
|  [BookFormatType](./gatsby-plugin-next-seo.bookformattype.md) |  |
|  [LocalBusinessType](./gatsby-plugin-next-seo.localbusinesstype.md) |  |
|  [TwitterCardType](./gatsby-plugin-next-seo.twittercardtype.md) |  |

